Bug 853229 - Regression in error notification when sync plan time is left blank
Regression in error notification when sync plan time is left blank
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Og Maciel
: Regression, TestBlocker, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 15:38 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The error message "Date and Time can't be blank" became an unexpected generic error message with a stack trace. This fix provides users with an accurate error message.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-08-30 15:38:32 EDT
Description of problem:
Used to say "Date and Time can't be blank", now says "invalid date (ArgumentError) Click here for more details." with a link to the stack trace.  This is a validation notification, it shouldn't show up as some unexpected generic error with a stack trace.

Version-Release number of selected component (if applicable):
Katello Version: 1.1.8-1.git.78.a921544.el6_3 

How reproducible:


Steps to Reproduce:
1. Create a sync plan, blank out the date textfield
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 Justin Sherrill 2012-09-12 09:37:02 EDT
pull request initiated:
https://github.com/Katello/katello/pull/647
Comment 5 Justin Sherrill 2012-09-12 14:02:35 EDT
master commit: 5a827ba
Comment 7 Og Maciel 2012-09-28 17:42:03 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-9.el6cf.noarch
* katello-all-1.1.12-9.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-5.el6cf.noarch
* katello-cli-common-1.1.8-5.el6cf.noarch
* katello-common-1.1.12-9.el6cf.noarch
* katello-configure-1.1.9-4.el6cf.noarch
* katello-glue-candlepin-1.1.12-9.el6cf.noarch
* katello-glue-pulp-1.1.12-9.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 9 errata-xmlrpc 2012-12-04 14:52:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.